Name:          jtoaster
Version:       1.0.5
Release:       %mkrel 6
Summary:       Java utility class for swing applications
Group:         Development/Java
License:       ASL 2.0
URL:           http://jtoaster.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/jtoaster/%{name}/1.0/%{name}-%{version}.jar
Source1:       %{name}-template.pom

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils

Requires:      jpackage-utils

%description
Java Toaster is a java utility class for your swing applications
that show an animate box coming from the bottom of your screen
with a notification message and/or an associated image (like MSN
online/offline notifications).

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c
find . -name "*.class" -delete

cp -p %{SOURCE1} %{name}.pom
sed -i "s|@version@|%{version}|" %{name}.pom

mkdir -p src/com/nitido/utils/toaster docs
mv ./\ com/nitido/utils/toaster/Toaster.java src/com/nitido/utils/toaster/

%build

%javac -encoding UTF-8 $(find src -type f -name "*.java")
(
  cd src
  %jar cvf ../%{name}.jar $(find . -name "*.class")
)
%javadoc -d docs -encoding UTF-8 $(find src -type f -name "*.java")

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 %{name}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{name}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/* %{buildroot}%{_javadocdir}/%{name}/

%files -f .mfiles
%doc README apache2.0_license.txt com

%files javadoc
%{_javadocdir}/%{name}/
%doc apache2.0_license.txt


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.0.5-6.mga6
+ Revision: 952149
- Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 1.0.5-5.mga5
+ Revision: 811295
- use .mfiles generated during build
- update Requires

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 744639
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-3.mga5
+ Revision: 680890
- Mageia 5 Mass Rebuild

* Sun May 18 2014 dmorgan <dmorgan> 1.0.5-2.mga5
+ Revision: 623639
- imported package jtoaster


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Apr 27 2013 gil cattaneo <puntogil@libero.it> 1.0.5-1
- initial rpm
